# Generated by Django 2.2.3 on 2021-06-06 18:19

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('qualification', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='historicalpage',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical Página'},
        ),
        migrations.AlterModelOptions(
            name='historicalqualification',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical Calificación'},
        ),
        migrations.AlterModelOptions(
            name='page',
            options={'ordering': ['-id'], 'verbose_name': 'Página', 'verbose_name_plural': 'Páginas'},
        ),
        migrations.AlterModelOptions(
            name='qualification',
            options={'ordering': ['-id'], 'verbose_name': 'Calificación', 'verbose_name_plural': 'Calificaciones'},
        ),
        migrations.AlterField(
            model_name='historicalqualification',
            name='start',
            field=models.IntegerField(default=1, help_text='int', validators=[django.core.validators.MinValueValidator(1, 'Mínimo valor permitido: 1'), django.core.validators.MaxValueValidator(5, 'Máximo valor Permitido: 5')], verbose_name='Estrella *'),
        ),
        migrations.AlterField(
            model_name='qualification',
            name='start',
            field=models.IntegerField(default=1, help_text='int', validators=[django.core.validators.MinValueValidator(1, 'Mínimo valor permitido: 1'), django.core.validators.MaxValueValidator(5, 'Máximo valor Permitido: 5')], verbose_name='Estrella *'),
        ),
        migrations.CreateModel(
            name='HistoricalCampaign',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(100)', max_length=50, verbose_name='Campaña')),
                ('period', models.SmallIntegerField(choices=[(0, 'I'), (1, 'II'), (2, 'III'), (3, 'IV')], default=0, help_text='int, required', verbose_name='Periodo')),
                ('description', models.TextField(blank=True, help_text='TEXT no required', null=True, verbose_name='Descripción')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('created_by', models.ForeignKey(blank=True, db_constraint=False, help_text='int', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Creado Por *')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Campaña',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Campaign',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(100)', max_length=50, verbose_name='Campaña')),
                ('period', models.SmallIntegerField(choices=[(0, 'I'), (1, 'II'), (2, 'III'), (3, 'IV')], default=0, help_text='int, required', verbose_name='Periodo')),
                ('description', models.TextField(blank=True, help_text='TEXT no required', null=True, verbose_name='Descripción')),
                ('created_by', models.ForeignKey(help_text='int', on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL, verbose_name='Creado Por *')),
            ],
            options={
                'verbose_name': 'Campaña',
                'verbose_name_plural': 'Campañas',
                'ordering': ['-id'],
            },
        ),
        migrations.AddField(
            model_name='historicalqualification',
            name='campaign',
            field=models.ForeignKey(blank=True, db_constraint=False, help_text='int required', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='qualification.Campaign', verbose_name='Campaña *'),
        ),
        migrations.AddField(
            model_name='qualification',
            name='campaign',
            field=models.ForeignKey(blank=True, help_text='int required', null=True, on_delete=django.db.models.deletion.PROTECT, to='qualification.Campaign', verbose_name='Campaña *'),
        ),
    ]
